Requesty
Requesty is an LLM router that gives you access to hundreds of AI models from OpenAI, Anthropic, Google and other providers through a single OpenAI compatible API, with routing, caching, guardrails and spend controls built in.
Categories: Artificial Intelligence
Type: requesty/v1
Connections
Version: 1
Bearer Token
Properties
| Name | Label | Type | Description | Required |
|---|---|---|---|---|
| token | Token | STRING | true |
Connection Setup
- Login into your Requesty console.
- Open API Keys.
- Click on Create API Key.
- Enter name of your API key and click on Create.
- Copy your API key and paste it into the Token field in ByteChef.
- Done.
Model IDs use the form vendor/model, for example openai/gpt-4o-mini or anthropic/claude-sonnet-4-5. The full list is available in the Requesty model library.
Actions
Ask
Name: ask
Ask anything you want.
Properties
| Name | Label | Type | Description | Required |
|---|---|---|---|---|
| supportedParameters | Supported parameters | ARRAY Items[STRING] | Request parameters to expose for the selected model. | true |
| model | Model | STRING | ID of the model to use, in the form vendor/model. | true |
| userPrompt | Prompt | STRING | User prompt to the model. | true |
| format | Format | STRING OptionsSIMPLE, ADVANCED | Format of providing the prompt to the model. | true |
| systemPrompt | System Prompt | STRING | System prompt to the model. | false |
| attachments | Attachments | ARRAY Items[FILE_ENTRY] | Only text and image files are supported. Also, only certain models supports images. Please check the documentation. | false |
| messages | Messages | ARRAY Items[{STRING(role), STRING(content), [FILE_ENTRY](attachments)}] | A list of messages comprising the conversation so far. | true |
| response | Response | OBJECT Properties{STRING(responseFormat), STRING(responseSchema)} | The response from the API. | true |
| frequencyPenalty | Frequency Penalty | NUMBER | Number between -2.0 and 2.0. Positive values penalize new tokens based on their existing frequency in the text so far, decreasing the model's likelihood to repeat the same line verbatim. | false |
| logitBias | Logit Bias | OBJECT Properties{} | Modify the likelihood of specified tokens appearing in the completion. | false |
| logprobs | Logprobs | BOOLEAN Optionstrue, false | Return log probabilities. | false |
| maxCompletionTokens | Max Completion Tokens | INTEGER | Maximum tokens in completion. | false |
| maxTokens | Max Tokens | INTEGER | The maximum number of tokens to generate in the chat completion. | false |
| presencePenalty | Presence Penalty | NUMBER | Number between -2.0 and 2.0. Positive values penalize new tokens based on whether they appear in the text so far, increasing the model's likelihood to talk about new topics. | false |
| reasoning | Reasoning effort | STRING Optionsnone, low, medium, high, xhigh | Constrains effort on reasoning. Reducing reasoning effort can result in faster responses and fewer tokens used on reasoning in a response. Requesty maps the value to the equivalent setting of the selected provider. | false |
| seed | Seed | INTEGER | Keeping the same seed would output the same response. | false |
| stop | Stop | ARRAY Items[STRING] | Up to 4 sequences where the API will stop generating further tokens. | false |
| temperature | Temperature | NUMBER | Controls randomness: Higher values will make the output more random, while lower values like will make it more focused and deterministic. | false |
| topLogprobs | Top Logprobs | INTEGER | Number of top log probabilities to return (0-20). | false |
| topK | Top K | INTEGER | Specify the number of token choices the generative uses to generate the next token. | false |
| topP | Top P | NUMBER | An alternative to sampling with temperature, called nucleus sampling, where the model considers the results of the tokens with top_p probability mass. So 0.1 means only the tokens comprising the top 10% probability mass are considered. | false |
| verbosity | Verbosity | STRING Optionslow, medium, high | Adjusts response verbosity. Lower levels yield shorter answers. | false |
| user | User | STRING | A unique identifier representing your end-user, which can help admins to monitor and detect abuse. | false |
Example JSON Structure
{
"label" : "Ask",
"name" : "ask",
"parameters" : {
"supportedParameters" : [ "" ],
"model" : "",
"userPrompt" : "",
"format" : "",
"systemPrompt" : "",
"attachments" : [ {
"extension" : "",
"mimeType" : "",
"name" : "",
"url" : ""
} ],
"messages" : [ {
"role" : "",
"content" : "",
"attachments" : [ {
"extension" : "",
"mimeType" : "",
"name" : "",
"url" : ""
} ]
} ],
"response" : {
"responseFormat" : "",
"responseSchema" : ""
},
"frequencyPenalty" : 0.0,
"logitBias" : { },
"logprobs" : false,
"maxCompletionTokens" : 1,
"maxTokens" : 1,
"presencePenalty" : 0.0,
"reasoning" : "",
"seed" : 1,
"stop" : [ "" ],
"temperature" : 0.0,
"topLogprobs" : 1,
"topK" : 1,
"topP" : 0.0,
"verbosity" : "",
"user" : ""
},
"type" : "requesty/v1/ask"
}Output
The output for this action is dynamic and may vary depending on the input parameters. To determine the exact structure of the output, you need to execute the action.
Create Image
Name: createImage
Create an image using text-to-image models.
Properties
| Name | Label | Type | Description | Required |
|---|---|---|---|---|
| model | Model | STRING | ID of the model to use. | true |
| imageMessages | Messages | ARRAY Items[{STRING(content), NUMBER(weight)}] | A list of messages comprising the conversation so far. | true |
| size | Size | STRING Options1024x1024, 1536x1024, 1024x1536 | The size of the generated image. Not every model supports every size. | false |
| quality | Quality | STRING Optionsauto, high, medium, low | The quality of the generated image. | false |
| user | User | STRING | A unique identifier representing your end-user, which can help admins to monitor and detect abuse. | false |
Example JSON Structure
{
"label" : "Create Image",
"name" : "createImage",
"parameters" : {
"model" : "",
"imageMessages" : [ {
"content" : "",
"weight" : 0.0
} ],
"size" : "",
"quality" : "",
"user" : ""
},
"type" : "requesty/v1/createImage"
}Output
The output for this action is dynamic and may vary depending on the input parameters. To determine the exact structure of the output, you need to execute the action.
Create Speech
Name: createSpeech
Generate an audio file from the input text
Properties
| Name | Label | Type | Description | Required |
|---|---|---|---|---|
| model | Model | STRING Optionsgoogle/gemma-4-31b-it, openai/tts-1, openai/tts-1-hd, openai/gpt-4o-mini-tts | ID of the model to use. | true |
| input | Input | STRING | The text to synthesize. | true |
| voice | Voice | STRING | Voice identifier, for example alloy, echo, nova or shimmer. | true |
| responseFormat | Response Format | STRING Optionsmp3, pcm | Audio output file format. | false |
| speed | Speed | NUMBER | Playback speed multiplier. Only used by models that support it. | false |
Example JSON Structure
{
"label" : "Create Speech",
"name" : "createSpeech",
"parameters" : {
"model" : "",
"input" : "",
"voice" : "",
"responseFormat" : "",
"speed" : 0.0
},
"type" : "requesty/v1/createSpeech"
}Output
Type: FILE_ENTRY
Properties
| Name | Type | Description |
|---|---|---|
| extension | STRING | |
| mimeType | STRING | |
| name | STRING | |
| url | STRING |
Output Example
{
"extension" : "",
"mimeType" : "",
"name" : "",
"url" : ""
}Create Transcription
Name: createTranscription
Transcribes audio into text.
Properties
| Name | Label | Type | Description | Required |
|---|---|---|---|---|
| model | Model | STRING Optionsopenai/whisper-1, openai/gpt-4o-mini-transcribe, openai/gpt-4o-transcribe | ID of the model to use. | true |
| file | File | FILE_ENTRY | The audio file to transcribe. Supported formats: flac, mp3, mp4, mpeg, mpga, m4a, ogg, wav, webm. | true |
| language | Language | STRING OptionsAF, AR, HY, AZ, BE, BS, BG, CA, ZH, HR, CS, DA, NL, EL, ET, EN, FI, FR, GL, DE, HE, HI, HU, IS, ID, IT, JA, KK, KN, KO, LT, LV, MA, MK, MR, MS, NE, NO, FA, PL, PT, RO, RU, SK, SL, SR, ES, SV, SW, TA, TL, TH, TR, UK, UR, VI, CY | The language of the input audio. | false |
| temperature | Temperature | NUMBER | Sampling temperature for transcription. | false |
Example JSON Structure
{
"label" : "Create Transcription",
"name" : "createTranscription",
"parameters" : {
"model" : "",
"file" : {
"extension" : "",
"mimeType" : "",
"name" : "",
"url" : ""
},
"language" : "",
"temperature" : 0.0
},
"type" : "requesty/v1/createTranscription"
}Output
Type: STRING
How is this guide?
Last updated on